
/*
 * lib=PACKER env=A4GL_PACKER lib_prefix=A4GLPacker_ api_prefix=
 * @file
 * Function prototypes
 *
 * This file was created from .spec file of same name, using dlmagic script
 * - if you need to edit it, edit .spec file instad, and use [make filename.h]
 * to re-create it.
 *
 * @todo See if the functions are static
 * or to be externally seen
 */

/*******************************************************************
* (c) 1997-2005 Aubit Computing Ltd.
*
*
********************************************************************/

/*
=====================================================================
                    Functions prototypes
=====================================================================
*/

#ifdef DEBUG
#define DEBUG_SPEC
#endif
#ifndef __PACKER_LIB_H__
#define __PACKER_LIB_H__
#ifdef __cplusplus
extern "C"
{
#endif

int A4GLPacker_PACKER_initlib(void);
#ifdef LIBTOOL_PREFIX
#define A4GLPacker_output_int PRELOADED_LTX_ ## A4GLPacker_output_int
#endif
int A4GLPacker_output_int(char* name,int val,int ptr,int isarr);

#ifdef LIBTOOL_PREFIX
#define A4GLPacker_output_long PRELOADED_LTX_ ## A4GLPacker_output_long
#endif
int A4GLPacker_output_long(char* name,long val,int ptr,int isarr);

#ifdef LIBTOOL_PREFIX
#define A4GLPacker_output_char PRELOADED_LTX_ ## A4GLPacker_output_char
#endif
int A4GLPacker_output_char(char* name,char val,int ptr,int isarr);

#ifdef LIBTOOL_PREFIX
#define A4GLPacker_output_short PRELOADED_LTX_ ## A4GLPacker_output_short
#endif
int A4GLPacker_output_short(char* name,short val,int ptr,int isarr);

#ifdef LIBTOOL_PREFIX
#define A4GLPacker_output_bool PRELOADED_LTX_ ## A4GLPacker_output_bool
#endif
int A4GLPacker_output_bool(char* name,int val,int ptr,int isarr);

#ifdef LIBTOOL_PREFIX
#define A4GLPacker_output_string PRELOADED_LTX_ ## A4GLPacker_output_string
#endif
int A4GLPacker_output_string(char* name,char* val,int ptr,int isarr);

#ifdef LIBTOOL_PREFIX
#define A4GLPacker_output_double PRELOADED_LTX_ ## A4GLPacker_output_double
#endif
int A4GLPacker_output_double(char* name,double val,int ptr,int isarr);

#ifdef LIBTOOL_PREFIX
#define A4GLPacker_output_start_struct PRELOADED_LTX_ ## A4GLPacker_output_start_struct
#endif
int A4GLPacker_output_start_struct(char* s,char* n,int ptr,int isarr);

#ifdef LIBTOOL_PREFIX
#define A4GLPacker_output_end_struct PRELOADED_LTX_ ## A4GLPacker_output_end_struct
#endif
int A4GLPacker_output_end_struct(char* s,char* n);

#ifdef LIBTOOL_PREFIX
#define A4GLPacker_output_start_union PRELOADED_LTX_ ## A4GLPacker_output_start_union
#endif
int A4GLPacker_output_start_union(char* s,char* enumname,int enum_val,char* n,int ptr,int isarr,void* enumcallback);

#ifdef LIBTOOL_PREFIX
#define A4GLPacker_output_nullptr PRELOADED_LTX_ ## A4GLPacker_output_nullptr
#endif
int A4GLPacker_output_nullptr(char* s,char* structname,int isunion);

#ifdef LIBTOOL_PREFIX
#define A4GLPacker_output_okptr PRELOADED_LTX_ ## A4GLPacker_output_okptr
#endif
int A4GLPacker_output_okptr(char* s);

#ifdef LIBTOOL_PREFIX
#define A4GLPacker_output_end_union PRELOADED_LTX_ ## A4GLPacker_output_end_union
#endif
int A4GLPacker_output_end_union(char* s,char* en,int e,char* n);

#ifdef LIBTOOL_PREFIX
#define A4GLPacker_output_enum PRELOADED_LTX_ ## A4GLPacker_output_enum
#endif
int A4GLPacker_output_enum(char* rn,char* name,char* s,int d);

#ifdef LIBTOOL_PREFIX
#define A4GLPacker_output_start_array PRELOADED_LTX_ ## A4GLPacker_output_start_array
#endif
int A4GLPacker_output_start_array(char* s,int type,int len);

#ifdef LIBTOOL_PREFIX
#define A4GLPacker_output_end_array PRELOADED_LTX_ ## A4GLPacker_output_end_array
#endif
int A4GLPacker_output_end_array(char* s,int type,int len);

#ifdef LIBTOOL_PREFIX
#define A4GLPacker_input_int PRELOADED_LTX_ ## A4GLPacker_input_int
#endif
int A4GLPacker_input_int(char* name,int* val,int ptr,int isarr);

#ifdef LIBTOOL_PREFIX
#define A4GLPacker_input_long PRELOADED_LTX_ ## A4GLPacker_input_long
#endif
int A4GLPacker_input_long(char* name,long* val,int ptr,int isarr);

#ifdef LIBTOOL_PREFIX
#define A4GLPacker_input_short PRELOADED_LTX_ ## A4GLPacker_input_short
#endif
int A4GLPacker_input_short(char* name,short* val,int ptr,int isarr);

#ifdef LIBTOOL_PREFIX
#define A4GLPacker_input_char PRELOADED_LTX_ ## A4GLPacker_input_char
#endif
int A4GLPacker_input_char(char* name,char* val,int ptr,int isarr);

#ifdef LIBTOOL_PREFIX
#define A4GLPacker_input_bool PRELOADED_LTX_ ## A4GLPacker_input_bool
#endif
int A4GLPacker_input_bool(char* name,int* val,int ptr,int isarr);

#ifdef LIBTOOL_PREFIX
#define A4GLPacker_input_string PRELOADED_LTX_ ## A4GLPacker_input_string
#endif
int A4GLPacker_input_string(char* name,char** val,int ptr,int isarr);

#ifdef LIBTOOL_PREFIX
#define A4GLPacker_input_double PRELOADED_LTX_ ## A4GLPacker_input_double
#endif
int A4GLPacker_input_double(char* name,double* val,int ptr,int isarr);

#ifdef LIBTOOL_PREFIX
#define A4GLPacker_input_start_struct PRELOADED_LTX_ ## A4GLPacker_input_start_struct
#endif
int A4GLPacker_input_start_struct(char* s,char* n,int ptr,int isarr);

#ifdef LIBTOOL_PREFIX
#define A4GLPacker_input_end_struct PRELOADED_LTX_ ## A4GLPacker_input_end_struct
#endif
int A4GLPacker_input_end_struct(char* s,char* n);

#ifdef LIBTOOL_PREFIX
#define A4GLPacker_input_start_union PRELOADED_LTX_ ## A4GLPacker_input_start_union
#endif
int A4GLPacker_input_start_union(char* s,char* enumname,int* enum_val,char* n,int ptr,int isarr);

#ifdef LIBTOOL_PREFIX
#define A4GLPacker_input_ptr_ok PRELOADED_LTX_ ## A4GLPacker_input_ptr_ok
#endif
int A4GLPacker_input_ptr_ok(void );

#ifdef LIBTOOL_PREFIX
#define A4GLPacker_input_end_union PRELOADED_LTX_ ## A4GLPacker_input_end_union
#endif
int A4GLPacker_input_end_union(char* s,char* en,int e,char* n);

#ifdef LIBTOOL_PREFIX
#define A4GLPacker_input_enum PRELOADED_LTX_ ## A4GLPacker_input_enum
#endif
int A4GLPacker_input_enum(char* rn,char* name,int* d);

#ifdef LIBTOOL_PREFIX
#define A4GLPacker_input_start_array PRELOADED_LTX_ ## A4GLPacker_input_start_array
#endif
int A4GLPacker_input_start_array(char* s,int type,int* len);

#ifdef LIBTOOL_PREFIX
#define A4GLPacker_input_end_array PRELOADED_LTX_ ## A4GLPacker_input_end_array
#endif
int A4GLPacker_input_end_array(char* s,int type);

#ifdef LIBTOOL_PREFIX
#define A4GLPacker_A4GL_open_packer PRELOADED_LTX_ ## A4GLPacker_A4GL_open_packer
#endif
int A4GLPacker_A4GL_open_packer(char* basename,char dir,char* struct_to_pack,char* version);

#ifdef LIBTOOL_PREFIX
#define A4GLPacker_A4GL_close_packer PRELOADED_LTX_ ## A4GLPacker_A4GL_close_packer
#endif
void A4GLPacker_A4GL_close_packer(char dir);

#ifdef LIBTOOL_PREFIX
#define A4GLPacker_A4GL_can_pack_all PRELOADED_LTX_ ## A4GLPacker_A4GL_can_pack_all
#endif
int A4GLPacker_A4GL_can_pack_all(char* name);

#ifdef LIBTOOL_PREFIX
#define A4GLPacker_A4GL_pack_all PRELOADED_LTX_ ## A4GLPacker_A4GL_pack_all
#endif
int A4GLPacker_A4GL_pack_all(char* name,void* ptr,char* fname);

#ifdef LIBTOOL_PREFIX
#define A4GLPacker_A4GL_unpack_all PRELOADED_LTX_ ## A4GLPacker_A4GL_unpack_all
#endif
int A4GLPacker_A4GL_unpack_all(char* name,void* ptr,char* fname);

#ifdef LIBTOOL_PREFIX
#define A4GLPacker_A4GL_pack_remove_file PRELOADED_LTX_ ## A4GLPacker_A4GL_pack_remove_file
#endif
int A4GLPacker_A4GL_pack_remove_file(char* fname);

#ifdef LIBTOOL_PREFIX
#define A4GLPacker_A4GL_get_packer_ext PRELOADED_LTX_ ## A4GLPacker_A4GL_get_packer_ext
#endif
char* A4GLPacker_A4GL_get_packer_ext(void );

#ifdef LIBTOOL_PREFIX
#define A4GLPacker_A4GL_output_common_header PRELOADED_LTX_ ## A4GLPacker_A4GL_output_common_header
#endif
void A4GLPacker_A4GL_output_common_header(char* module,char* version);

#ifdef LIBTOOL_PREFIX
#define A4GLPacker_A4GL_valid_common_header PRELOADED_LTX_ ## A4GLPacker_A4GL_valid_common_header
#endif
int A4GLPacker_A4GL_valid_common_header(char* module,char* version);

#ifdef __cplusplus
}
#endif
#endif  /* #ifdef __(PACKER)_H__  */

