
/*
 * lib=SQL env=A4GL_SQLTYPE lib_prefix=A4GLSQLLIB_ api_prefix=
 * @file
 * Function prototypes
 *
 * This file was created from .spec file of same name, using dlmagic script
 * - if you need to edit it, edit .spec file instad, and use [make filename.h]
 * to re-create it.
 *
 * @todo See if the functions are static
 * or to be externally seen
 */

/*******************************************************************
* (c) 1997-2005 Aubit Computing Ltd.
*
*
********************************************************************/

/*
=====================================================================
                    Functions prototypes
=====================================================================
*/

#ifdef DEBUG
#define DEBUG_SPEC
#endif
#ifndef __SQL_LIB_H__
#define __SQL_LIB_H__
#ifdef __cplusplus
extern "C"
{
#endif

int A4GLSQLLIB_SQL_initlib(void);
#define structexpr_str_list  struct expr_str_list*
#ifdef LIBTOOL_PREFIX
#define A4GLSQLLIB_A4GLSQL_dbms_dialect PRELOADED_LTX_ ## A4GLSQLLIB_A4GLSQL_dbms_dialect
#endif
char* A4GLSQLLIB_A4GLSQL_dbms_dialect(void );

#ifdef LIBTOOL_PREFIX
#define A4GLSQLLIB_A4GLSQL_dbms_name PRELOADED_LTX_ ## A4GLSQLLIB_A4GLSQL_dbms_name
#endif
char* A4GLSQLLIB_A4GLSQL_dbms_name(void );

#ifdef LIBTOOL_PREFIX
#define A4GLSQLLIB_A4GLSQL_get_columns PRELOADED_LTX_ ## A4GLSQLLIB_A4GLSQL_get_columns
#endif
int A4GLSQLLIB_A4GLSQL_get_columns(char* tabname,char* colname,int* dtype,int* size);

#ifdef LIBTOOL_PREFIX
#define A4GLSQLLIB_A4GLSQL_end_get_columns PRELOADED_LTX_ ## A4GLSQLLIB_A4GLSQL_end_get_columns
#endif
int A4GLSQLLIB_A4GLSQL_end_get_columns(void );

#ifdef LIBTOOL_PREFIX
#define A4GLSQLLIB_A4GLSQL_get_sqlerrm PRELOADED_LTX_ ## A4GLSQLLIB_A4GLSQL_get_sqlerrm
#endif
char* A4GLSQLLIB_A4GLSQL_get_sqlerrm(void );

#ifdef LIBTOOL_PREFIX
#define A4GLSQLLIB_A4GLSQL_init_connection_internal PRELOADED_LTX_ ## A4GLSQLLIB_A4GLSQL_init_connection_internal
#endif
int A4GLSQLLIB_A4GLSQL_init_connection_internal(char* dbName);

#ifdef LIBTOOL_PREFIX
#define A4GLSQLLIB_A4GLSQL_next_column PRELOADED_LTX_ ## A4GLSQLLIB_A4GLSQL_next_column
#endif
int A4GLSQLLIB_A4GLSQL_next_column(char** colname,int* dtype,int* size);

#ifdef LIBTOOL_PREFIX
#define A4GLSQLLIB_A4GLSQL_next_column_detailed PRELOADED_LTX_ ## A4GLSQLLIB_A4GLSQL_next_column_detailed
#endif
int A4GLSQLLIB_A4GLSQL_next_column_detailed(char** colname,int* dtype,int* size,int* prec,int* raw_dtype);

#ifdef LIBTOOL_PREFIX
#define A4GLSQLLIB_A4GLSQL_get_validation_expr PRELOADED_LTX_ ## A4GLSQLLIB_A4GLSQL_get_validation_expr
#endif
structexpr_str_list A4GLSQLLIB_A4GLSQL_get_validation_expr(char* tabname,char* colname);

#ifdef LIBTOOL_PREFIX
#define A4GLSQLLIB_A4GLSQL_syscolval_expr PRELOADED_LTX_ ## A4GLSQLLIB_A4GLSQL_syscolval_expr
#endif
char* A4GLSQLLIB_A4GLSQL_syscolval_expr(char* tabname,char* colname,char* typ);

#ifdef LIBTOOL_PREFIX
#define A4GLSQLLIB_A4GLSQL_commit_rollback PRELOADED_LTX_ ## A4GLSQLLIB_A4GLSQL_commit_rollback
#endif
void A4GLSQLLIB_A4GLSQL_commit_rollback(int mode);

#ifdef LIBTOOL_PREFIX
#define A4GLSQLLIB_A4GLSQL_init_session_internal PRELOADED_LTX_ ## A4GLSQLLIB_A4GLSQL_init_session_internal
#endif
int A4GLSQLLIB_A4GLSQL_init_session_internal(char* sessname,char* dsn,char* usr,char* pwd);

#ifdef LIBTOOL_PREFIX
#define A4GLSQLLIB_A4GLSQL_set_conn_internal PRELOADED_LTX_ ## A4GLSQLLIB_A4GLSQL_set_conn_internal
#endif
int A4GLSQLLIB_A4GLSQL_set_conn_internal(char* sessname);

#ifdef LIBTOOL_PREFIX
#define A4GLSQLLIB_A4GLSQL_close_session_internal PRELOADED_LTX_ ## A4GLSQLLIB_A4GLSQL_close_session_internal
#endif
int A4GLSQLLIB_A4GLSQL_close_session_internal(char* sessname);

#ifdef LIBTOOL_PREFIX
#define A4GLSQLLIB_A4GLSQL_execute_implicit_select PRELOADED_LTX_ ## A4GLSQLLIB_A4GLSQL_execute_implicit_select
#endif
int A4GLSQLLIB_A4GLSQL_execute_implicit_select(void* sid,int singleton);

#ifdef LIBTOOL_PREFIX
#define A4GLSQLLIB_A4GLSQL_execute_implicit_sql PRELOADED_LTX_ ## A4GLSQLLIB_A4GLSQL_execute_implicit_sql
#endif
int A4GLSQLLIB_A4GLSQL_execute_implicit_sql(void* sid,int singleton,int no,void* ibind);

#ifdef LIBTOOL_PREFIX
#define A4GLSQLLIB_A4GLSQL_free_cursor_internal PRELOADED_LTX_ ## A4GLSQLLIB_A4GLSQL_free_cursor_internal
#endif
void A4GLSQLLIB_A4GLSQL_free_cursor_internal(char* cursor_name);

#ifdef LIBTOOL_PREFIX
#define A4GLSQLLIB_A4GLSQL_free_prepare_internal PRELOADED_LTX_ ## A4GLSQLLIB_A4GLSQL_free_prepare_internal
#endif
void A4GLSQLLIB_A4GLSQL_free_prepare_internal(void* sid);

#ifdef LIBTOOL_PREFIX
#define A4GLSQLLIB_A4GLSQL_fetch_cursor_internal PRELOADED_LTX_ ## A4GLSQLLIB_A4GLSQL_fetch_cursor_internal
#endif
int A4GLSQLLIB_A4GLSQL_fetch_cursor_internal(char* cursor_name,int fetch_mode,int fetch_when,int nibind,void* ibind);

#ifdef LIBTOOL_PREFIX
#define A4GLSQLLIB_A4GLSQL_open_cursor_internal PRELOADED_LTX_ ## A4GLSQLLIB_A4GLSQL_open_cursor_internal
#endif
int A4GLSQLLIB_A4GLSQL_open_cursor_internal(char* s,int no,void* vibind);

#ifdef LIBTOOL_PREFIX
#define A4GLSQLLIB_A4GLSQL_flush_cursor_internal PRELOADED_LTX_ ## A4GLSQLLIB_A4GLSQL_flush_cursor_internal
#endif
void A4GLSQLLIB_A4GLSQL_flush_cursor_internal(char* cursor);

#ifdef LIBTOOL_PREFIX
#define A4GLSQLLIB_A4GLSQL_close_cursor_internal PRELOADED_LTX_ ## A4GLSQLLIB_A4GLSQL_close_cursor_internal
#endif
int A4GLSQLLIB_A4GLSQL_close_cursor_internal(char* currname,int explicit_);

#ifdef LIBTOOL_PREFIX
#define A4GLSQLLIB_A4GLSQL_declare_cursor_internal PRELOADED_LTX_ ## A4GLSQLLIB_A4GLSQL_declare_cursor_internal
#endif
void* A4GLSQLLIB_A4GLSQL_declare_cursor_internal(int upd_hold,void* sid,int scroll,char* cursname);

#ifdef LIBTOOL_PREFIX
#define A4GLSQLLIB_A4GLSQL_prepare_select_internal PRELOADED_LTX_ ## A4GLSQLLIB_A4GLSQL_prepare_select_internal
#endif
void* A4GLSQLLIB_A4GLSQL_prepare_select_internal(void* ibind,int ni,void* obind,int no,char* s,char* uniqid,int singleton);

#ifdef LIBTOOL_PREFIX
#define A4GLSQLLIB_A4GLSQL_get_curr_conn PRELOADED_LTX_ ## A4GLSQLLIB_A4GLSQL_get_curr_conn
#endif
char* A4GLSQLLIB_A4GLSQL_get_curr_conn(void );

#ifdef LIBTOOL_PREFIX
#define A4GLSQLLIB_A4GLSQL_get_currdbname PRELOADED_LTX_ ## A4GLSQLLIB_A4GLSQL_get_currdbname
#endif
char* A4GLSQLLIB_A4GLSQL_get_currdbname(void );

#ifdef LIBTOOL_PREFIX
#define A4GLSQLLIB_A4GLSQL_put_insert_internal PRELOADED_LTX_ ## A4GLSQLLIB_A4GLSQL_put_insert_internal
#endif
void A4GLSQLLIB_A4GLSQL_put_insert_internal(char* cursorname,void* ibind,int n);

#ifdef LIBTOOL_PREFIX
#define A4GLSQLLIB_A4GLSQL_set_sqlca_sqlcode PRELOADED_LTX_ ## A4GLSQLLIB_A4GLSQL_set_sqlca_sqlcode
#endif
void A4GLSQLLIB_A4GLSQL_set_sqlca_sqlcode(int a);

#ifdef LIBTOOL_PREFIX
#define A4GLSQLLIB_A4GLSQL_unload_data_internal PRELOADED_LTX_ ## A4GLSQLLIB_A4GLSQL_unload_data_internal
#endif
void A4GLSQLLIB_A4GLSQL_unload_data_internal(char* fname,char* delims,char* sql1,int nbind,void* ibind);

#ifdef LIBTOOL_PREFIX
#define A4GLSQLLIB_A4GLSQL_get_errmsg PRELOADED_LTX_ ## A4GLSQLLIB_A4GLSQL_get_errmsg
#endif
char* A4GLSQLLIB_A4GLSQL_get_errmsg(int a);

#ifdef LIBTOOL_PREFIX
#define A4GLSQLLIB_A4GLSQL_describe_stmt PRELOADED_LTX_ ## A4GLSQLLIB_A4GLSQL_describe_stmt
#endif
long A4GLSQLLIB_A4GLSQL_describe_stmt(char* stmt,int colno,int type);

#ifdef LIBTOOL_PREFIX
#define A4GLSQLLIB_A4GLSQL_fill_array PRELOADED_LTX_ ## A4GLSQLLIB_A4GLSQL_fill_array
#endif
int A4GLSQLLIB_A4GLSQL_fill_array(int mx,char* arr1,int szarr1,char* arr2,int szarr2,char* service,int mode,char* info);

#ifdef LIBTOOL_PREFIX
#define A4GLSQLLIB_A4GLSQL_get_table_checksum PRELOADED_LTX_ ## A4GLSQLLIB_A4GLSQL_get_table_checksum
#endif
char* A4GLSQLLIB_A4GLSQL_get_table_checksum(char* tabname);

#ifdef LIBTOOL_PREFIX
#define A4GLSQLLIB_A4GLSQL_map_tname PRELOADED_LTX_ ## A4GLSQLLIB_A4GLSQL_map_tname
#endif
void A4GLSQLLIB_A4GLSQL_map_tname(char* code,char* db);

#ifdef LIBTOOL_PREFIX
#define A4GLSQLLIB_A4GLSQL_unmap_tname PRELOADED_LTX_ ## A4GLSQLLIB_A4GLSQL_unmap_tname
#endif
void A4GLSQLLIB_A4GLSQL_unmap_tname(char* code);

#ifdef LIBTOOL_PREFIX
#define A4GLSQLLIB_A4GLSQL_is_tname_mapped PRELOADED_LTX_ ## A4GLSQLLIB_A4GLSQL_is_tname_mapped
#endif
int A4GLSQLLIB_A4GLSQL_is_tname_mapped(char* code);

#ifdef LIBTOOL_PREFIX
#define A4GLSQLLIB_A4GLSQL_cancel PRELOADED_LTX_ ## A4GLSQLLIB_A4GLSQL_cancel
#endif
int A4GLSQLLIB_A4GLSQL_cancel(void );

#ifdef LIBTOOL_PREFIX
#define A4GLSQLLIB_A4GLSQL_fixup_descriptor PRELOADED_LTX_ ## A4GLSQLLIB_A4GLSQL_fixup_descriptor
#endif
char* A4GLSQLLIB_A4GLSQL_fixup_descriptor(char* descriptorName);

#ifdef __cplusplus
}
#endif
#endif  /* #ifdef __(SQL)_H__  */

