
/*
 * lib=UI env=A4GL_UI lib_prefix=UILIB_ api_prefix=
 * @file
 * Function prototypes
 *
 * This file was created from .spec file of same name, using dlmagic script
 * - if you need to edit it, edit .spec file instad, and use [make filename.h]
 * to re-create it.
 *
 * @todo See if the functions are static
 * or to be externally seen
 */

/*******************************************************************
* (c) 1997-2005 Aubit Computing Ltd.
*
*
********************************************************************/

/*
=====================================================================
                    Functions prototypes
=====================================================================
*/

#ifdef DEBUG
#define DEBUG_SPEC
#endif
#ifndef __UI_LIB_H__
#define __UI_LIB_H__
#ifdef __cplusplus
extern "C"
{
#endif

int UILIB_UI_initlib(void);
#include <stdarg.h>
#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_cr_window PRELOADED_LTX_ ## UILIB_A4GL_cr_window
#endif
void* UILIB_A4GL_cr_window(char* s,int iswindow,int form_line,int error_line,int prompt_line,int menu_line,int border,int comment_line,int message_line,int attrib,char* style,char* text);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_cr_window_form PRELOADED_LTX_ ## UILIB_A4GL_cr_window_form
#endif
int UILIB_A4GL_cr_window_form(char* name,int iswindow,int form_line,int error_line,int prompt_line,int menu_line,int border,int comment_line,int message_line,int attrib,char* style,char* text);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_disp_fields_ap PRELOADED_LTX_ ## UILIB_A4GL_disp_fields_ap
#endif
int UILIB_A4GL_disp_fields_ap(int n,int attr,va_list* ap);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_disp_form_fields_ap PRELOADED_LTX_ ## UILIB_A4GL_disp_form_fields_ap
#endif
int UILIB_A4GL_disp_form_fields_ap(int n,int attr,char* formname,va_list* ap);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_open_form PRELOADED_LTX_ ## UILIB_A4GL_open_form
#endif
int UILIB_A4GL_open_form(char* name);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_close_form PRELOADED_LTX_ ## UILIB_A4GL_close_form
#endif
void UILIB_A4GL_close_form(char* name);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_disp_form PRELOADED_LTX_ ## UILIB_A4GL_disp_form
#endif
int UILIB_A4GL_disp_form(char* name,int attr);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_current_window PRELOADED_LTX_ ## UILIB_A4GL_current_window
#endif
int UILIB_A4GL_current_window(char* win_name);

#ifdef LIBTOOL_PREFIX
#define UILIB_aclfgl_fgl_drawbox PRELOADED_LTX_ ## UILIB_aclfgl_fgl_drawbox
#endif
int UILIB_aclfgl_fgl_drawbox(int n);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_new_menu_create_with_attr PRELOADED_LTX_ ## UILIB_A4GL_new_menu_create_with_attr
#endif
void* UILIB_A4GL_new_menu_create_with_attr(char* title,int x,int y,int mn_type,int help_no,char* comment,char* style,char* image,char* normal,char* highlight);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_add_menu_option PRELOADED_LTX_ ## UILIB_A4GL_add_menu_option
#endif
void UILIB_A4GL_add_menu_option(void* menu,char* txt,char* keys,char* desc,int helpno,int attr);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_ensure_menu_title PRELOADED_LTX_ ## UILIB_A4GL_ensure_menu_title
#endif
void UILIB_A4GL_ensure_menu_title(char* title);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_ensure_menu_option PRELOADED_LTX_ ## UILIB_A4GL_ensure_menu_option
#endif
void UILIB_A4GL_ensure_menu_option(int optno,void* menu,char* txt,char* keys,char* desc,int helpno,int attr);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_add_menu_timeout PRELOADED_LTX_ ## UILIB_A4GL_add_menu_timeout
#endif
void UILIB_A4GL_add_menu_timeout(void* menu,char timeout_type,int timeoutlen,int cmd_no_on_timeout,long* timeoutvar);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_add_menu_action PRELOADED_LTX_ ## UILIB_A4GL_add_menu_action
#endif
void UILIB_A4GL_add_menu_action(void* menu,char* action,int cmd_no_on_timeout);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_finish_create_menu PRELOADED_LTX_ ## UILIB_A4GL_finish_create_menu
#endif
void UILIB_A4GL_finish_create_menu(void* menu);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_disp_h_menu PRELOADED_LTX_ ## UILIB_A4GL_disp_h_menu
#endif
void UILIB_A4GL_disp_h_menu(void* menu);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_menu_loop_v2 PRELOADED_LTX_ ## UILIB_A4GL_menu_loop_v2
#endif
int UILIB_A4GL_menu_loop_v2(void* menu,void* evt);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_next_option PRELOADED_LTX_ ## UILIB_A4GL_next_option
#endif
void UILIB_A4GL_next_option(void* menu,char* nextopt);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_free_menu PRELOADED_LTX_ ## UILIB_A4GL_free_menu
#endif
int UILIB_A4GL_free_menu(void* menu);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_req_field_input PRELOADED_LTX_ ## UILIB_A4GL_req_field_input
#endif
int UILIB_A4GL_req_field_input(void* s,char type,va_list* ap);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_req_field_input_array PRELOADED_LTX_ ## UILIB_A4GL_req_field_input_array
#endif
int UILIB_A4GL_req_field_input_array(void* s,char type,va_list* ap);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_menu_hide_ap PRELOADED_LTX_ ## UILIB_A4GL_menu_hide_ap
#endif
int UILIB_A4GL_menu_hide_ap(void* menu,va_list* ap);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_menu_show_ap PRELOADED_LTX_ ## UILIB_A4GL_menu_show_ap
#endif
int UILIB_A4GL_menu_show_ap(void* menu,va_list* ap);

#ifdef LIBTOOL_PREFIX
#define UILIB_aclfgli_pr_message_internal PRELOADED_LTX_ ## UILIB_aclfgli_pr_message_internal
#endif
void UILIB_aclfgli_pr_message_internal(int attr,int wait,char* s);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_display_error PRELOADED_LTX_ ## UILIB_A4GL_display_error
#endif
void UILIB_A4GL_display_error(int attr,int wait);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_get_curr_form PRELOADED_LTX_ ## UILIB_A4GL_get_curr_form
#endif
void* UILIB_A4GL_get_curr_form(int warn_if_no_form);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_set_option_value_for_current_window PRELOADED_LTX_ ## UILIB_A4GL_set_option_value_for_current_window
#endif
void UILIB_A4GL_set_option_value_for_current_window(char type,long keyval);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_get_option_value_for_current_window PRELOADED_LTX_ ## UILIB_A4GL_get_option_value_for_current_window
#endif
long UILIB_A4GL_get_option_value_for_current_window(char type);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_widget_name_match PRELOADED_LTX_ ## UILIB_A4GL_widget_name_match
#endif
int UILIB_A4GL_widget_name_match(void* w,char* name);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_gen_field_chars_ap PRELOADED_LTX_ ## UILIB_A4GL_gen_field_chars_ap
#endif
int UILIB_A4GL_gen_field_chars_ap(void* field_list,void* formdets,va_list* ap,int replace_0);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_gen_field_list_from_slist PRELOADED_LTX_ ## UILIB_A4GL_gen_field_list_from_slist
#endif
int UILIB_A4GL_gen_field_list_from_slist(void* field_listv,void* formdetsv,void* listv);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_form_loop_v2 PRELOADED_LTX_ ## UILIB_A4GL_form_loop_v2
#endif
int UILIB_A4GL_form_loop_v2(void* s,int init,void* evt);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_push_constr PRELOADED_LTX_ ## UILIB_A4GL_push_constr
#endif
int UILIB_A4GL_push_constr(void* s);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_set_fields PRELOADED_LTX_ ## UILIB_A4GL_set_fields
#endif
int UILIB_A4GL_set_fields(void* sio);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_sync_fields PRELOADED_LTX_ ## UILIB_A4GL_sync_fields
#endif
void UILIB_A4GL_sync_fields(void* sio);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_display_internal PRELOADED_LTX_ ## UILIB_A4GL_display_internal
#endif
void UILIB_A4GL_display_internal(int x,int y,char* s,int a,int clr_line);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_movewin PRELOADED_LTX_ ## UILIB_A4GL_movewin
#endif
int UILIB_A4GL_movewin(char* winname,int absol);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_hide_window PRELOADED_LTX_ ## UILIB_A4GL_hide_window
#endif
void UILIB_A4GL_hide_window(char* winname);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_show_window PRELOADED_LTX_ ## UILIB_A4GL_show_window
#endif
void UILIB_A4GL_show_window(char* winname);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_fgl_infield_ap PRELOADED_LTX_ ## UILIB_A4GL_fgl_infield_ap
#endif
int UILIB_A4GL_fgl_infield_ap(void* inp,va_list* ap);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_fgl_infield_ia_ap PRELOADED_LTX_ ## UILIB_A4GL_fgl_infield_ia_ap
#endif
int UILIB_A4GL_fgl_infield_ia_ap(void* inp,va_list* ap);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_clr_window PRELOADED_LTX_ ## UILIB_A4GL_clr_window
#endif
void UILIB_A4GL_clr_window(char* winname);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_sleep_i PRELOADED_LTX_ ## UILIB_A4GL_sleep_i
#endif
void UILIB_A4GL_sleep_i(void );

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_remove_window PRELOADED_LTX_ ## UILIB_A4GL_remove_window
#endif
void UILIB_A4GL_remove_window(char* win_name);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_disp_arr_v2 PRELOADED_LTX_ ## UILIB_A4GL_disp_arr_v2
#endif
int UILIB_A4GL_disp_arr_v2(void* disp,void* ptr,char* srecname,int attrib,char* scrollf,int scrollw,void* evt);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_inp_arr_v2 PRELOADED_LTX_ ## UILIB_A4GL_inp_arr_v2
#endif
int UILIB_A4GL_inp_arr_v2(void* disp,int defs,char* srecname,int attrib,int init,void* evt);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_prompt_loop_v2 PRELOADED_LTX_ ## UILIB_A4GL_prompt_loop_v2
#endif
int UILIB_A4GL_prompt_loop_v2(void* prompt,int timeout,void* evt_list);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_start_prompt PRELOADED_LTX_ ## UILIB_A4GL_start_prompt
#endif
int UILIB_A4GL_start_prompt(void* prompt,int ap,int c,int h,int af,char* text,char* style,int dtype_hint);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_endis_fields_ap PRELOADED_LTX_ ## UILIB_A4GL_endis_fields_ap
#endif
int UILIB_A4GL_endis_fields_ap(int en_dis,va_list* ap);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_clr_form PRELOADED_LTX_ ## UILIB_A4GL_clr_form
#endif
void UILIB_A4GL_clr_form(int to_defaults);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_clr_form_fields PRELOADED_LTX_ ## UILIB_A4GL_clr_form_fields
#endif
void UILIB_A4GL_clr_form_fields(int to_defaults,char* defs);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_clr_fields_ap PRELOADED_LTX_ ## UILIB_A4GL_clr_fields_ap
#endif
void UILIB_A4GL_clr_fields_ap(int to_defaults,va_list* ap);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_fgl_getfldbuf_ap PRELOADED_LTX_ ## UILIB_A4GL_fgl_getfldbuf_ap
#endif
int UILIB_A4GL_fgl_getfldbuf_ap(void* inp,ts_field_name* fldlist,va_list* ap);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_fgl_getfldbuf_ia_ap PRELOADED_LTX_ ## UILIB_A4GL_fgl_getfldbuf_ia_ap
#endif
int UILIB_A4GL_fgl_getfldbuf_ia_ap(void* inp,ts_field_name* fldlist,va_list* ap);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_zrefresh PRELOADED_LTX_ ## UILIB_A4GL_zrefresh
#endif
void UILIB_A4GL_zrefresh(void );

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_gotolinemode PRELOADED_LTX_ ## UILIB_A4GL_gotolinemode
#endif
void UILIB_A4GL_gotolinemode(void );

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_get_currwin_name PRELOADED_LTX_ ## UILIB_A4GL_get_currwin_name
#endif
char* UILIB_A4GL_get_currwin_name(void );

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_gui_run_til_no_more PRELOADED_LTX_ ## UILIB_A4GL_gui_run_til_no_more
#endif
void UILIB_A4GL_gui_run_til_no_more(void );

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_read_fields PRELOADED_LTX_ ## UILIB_A4GL_read_fields
#endif
int UILIB_A4GL_read_fields(void* formdets);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_read_metrics PRELOADED_LTX_ ## UILIB_A4GL_read_metrics
#endif
int UILIB_A4GL_read_metrics(void* formdets);

#ifdef LIBTOOL_PREFIX
#define UILIB_aclfgl_a4gl_set_page PRELOADED_LTX_ ## UILIB_aclfgl_a4gl_set_page
#endif
int UILIB_aclfgl_a4gl_set_page(int n);

#ifdef LIBTOOL_PREFIX
#define UILIB_aclfgl_a4gl_get_page PRELOADED_LTX_ ## UILIB_aclfgl_a4gl_get_page
#endif
int UILIB_aclfgl_a4gl_get_page(int n);

#ifdef LIBTOOL_PREFIX
#define UILIB_aclfgl_a4gl_run_gui PRELOADED_LTX_ ## UILIB_aclfgl_a4gl_run_gui
#endif
int UILIB_aclfgl_a4gl_run_gui(int nargs);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_set_infield_from_stack PRELOADED_LTX_ ## UILIB_A4GL_set_infield_from_stack
#endif
void UILIB_A4GL_set_infield_from_stack(void );

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_open_gui_form_internal PRELOADED_LTX_ ## UILIB_A4GL_open_gui_form_internal
#endif
int UILIB_A4GL_open_gui_form_internal(long* form_variable,char* name_orig,int absolute,int nat,char* like,int disable,void* handler_e,void* handler_c);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_fgl_fieldnametoid PRELOADED_LTX_ ## UILIB_A4GL_fgl_fieldnametoid
#endif
int UILIB_A4GL_fgl_fieldnametoid(char* f,char* s,int n);

#ifdef LIBTOOL_PREFIX
#define UILIB_aclfgl_set_window_title PRELOADED_LTX_ ## UILIB_aclfgl_set_window_title
#endif
int UILIB_aclfgl_set_window_title(int nargs);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_finish_screenio PRELOADED_LTX_ ## UILIB_A4GL_finish_screenio
#endif
void UILIB_A4GL_finish_screenio(void* sio,char* siotype);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_make_pixmap_gw PRELOADED_LTX_ ## UILIB_A4GL_make_pixmap_gw
#endif
void* UILIB_A4GL_make_pixmap_gw(char* filename);

#ifdef LIBTOOL_PREFIX
#define UILIB_aclfgl_aclfgl_dump_screen PRELOADED_LTX_ ## UILIB_aclfgl_aclfgl_dump_screen
#endif
int UILIB_aclfgl_aclfgl_dump_screen(int n);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_get_curr_width PRELOADED_LTX_ ## UILIB_A4GL_get_curr_width
#endif
int UILIB_A4GL_get_curr_width(void );

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_get_curr_height PRELOADED_LTX_ ## UILIB_A4GL_get_curr_height
#endif
int UILIB_A4GL_get_curr_height(void );

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_iscurrborder PRELOADED_LTX_ ## UILIB_A4GL_iscurrborder
#endif
int UILIB_A4GL_iscurrborder(void );

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_init_color PRELOADED_LTX_ ## UILIB_A4GL_init_color
#endif
void UILIB_A4GL_init_color(int n,int r,int g,int b);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_fgl_fieldtouched_input_ap PRELOADED_LTX_ ## UILIB_A4GL_fgl_fieldtouched_input_ap
#endif
int UILIB_A4GL_fgl_fieldtouched_input_ap(void* input,va_list* ap);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_fgl_fieldtouched_input_array_ap PRELOADED_LTX_ ## UILIB_A4GL_fgl_fieldtouched_input_array_ap
#endif
int UILIB_A4GL_fgl_fieldtouched_input_array_ap(void* input,va_list* ap);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GLUI_ui_init PRELOADED_LTX_ ## UILIB_A4GLUI_ui_init
#endif
int UILIB_A4GLUI_ui_init(int argc,char** argv);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_acli_scroll_ap PRELOADED_LTX_ ## UILIB_A4GL_acli_scroll_ap
#endif
void UILIB_A4GL_acli_scroll_ap(int n,va_list* ap);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_get_key PRELOADED_LTX_ ## UILIB_A4GL_get_key
#endif
int UILIB_A4GL_get_key(int timeout);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_create_menu PRELOADED_LTX_ ## UILIB_A4GL_create_menu
#endif
void* UILIB_A4GL_create_menu(void* m,char* id,int mode,void* handler);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_reset_state_for PRELOADED_LTX_ ## UILIB_A4GL_reset_state_for
#endif
void UILIB_A4GL_reset_state_for(void* sio,char* siotype);

#ifdef LIBTOOL_PREFIX
#define UILIB_aclfgl_fgl_set_arrline PRELOADED_LTX_ ## UILIB_aclfgl_fgl_set_arrline
#endif
int UILIB_aclfgl_fgl_set_arrline(int nparam);

#ifdef LIBTOOL_PREFIX
#define UILIB_aclfgl_fgl_set_scrline PRELOADED_LTX_ ## UILIB_aclfgl_fgl_set_scrline
#endif
int UILIB_aclfgl_fgl_set_scrline(int nparam);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_reset_delims PRELOADED_LTX_ ## UILIB_A4GL_reset_delims
#endif
void UILIB_A4GL_reset_delims(void* vformdets,void* field,char* delims);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GLUI_set_intr PRELOADED_LTX_ ## UILIB_A4GLUI_set_intr
#endif
void UILIB_A4GLUI_set_intr(void );

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_screen_mode PRELOADED_LTX_ ## UILIB_A4GL_screen_mode
#endif
int UILIB_A4GL_screen_mode(int sm);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_ui_exit PRELOADED_LTX_ ## UILIB_A4GL_ui_exit
#endif
void UILIB_A4GL_ui_exit(int exitstatus);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_ui_fgl_winquestion PRELOADED_LTX_ ## UILIB_A4GL_ui_fgl_winquestion
#endif
char* UILIB_A4GL_ui_fgl_winquestion(char* title,char* text,char* def,char* pos,char* icon,int danger,int winbutton);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_direct_to_ui PRELOADED_LTX_ ## UILIB_A4GL_direct_to_ui
#endif
void UILIB_A4GL_direct_to_ui(char* what,char* string);

#ifdef LIBTOOL_PREFIX
#define UILIB_aclfgl_aclfgl_add_to_toolbar PRELOADED_LTX_ ## UILIB_aclfgl_aclfgl_add_to_toolbar
#endif
int UILIB_aclfgl_aclfgl_add_to_toolbar(int nparam);

#ifdef LIBTOOL_PREFIX
#define UILIB_aclfgl_aclfgl_set_display_field_delimiters PRELOADED_LTX_ ## UILIB_aclfgl_aclfgl_set_display_field_delimiters
#endif
int UILIB_aclfgl_aclfgl_set_display_field_delimiters(int nparam);

#ifdef LIBTOOL_PREFIX
#define UILIB_aclfgl_aclfgl_add_acs_mapping PRELOADED_LTX_ ## UILIB_aclfgl_aclfgl_add_acs_mapping
#endif
int UILIB_aclfgl_aclfgl_add_acs_mapping(int nparam);

#ifdef LIBTOOL_PREFIX
#define UILIB_aclfgl_aclfgl_set_application_xml PRELOADED_LTX_ ## UILIB_aclfgl_aclfgl_set_application_xml
#endif
int UILIB_aclfgl_aclfgl_set_application_xml(int nparam);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_ui_frontcall PRELOADED_LTX_ ## UILIB_A4GL_ui_frontcall
#endif
void UILIB_A4GL_ui_frontcall(char* module,char* name,void* ibind,int ni,void* obind,int no);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_ui_cancel PRELOADED_LTX_ ## UILIB_A4GL_ui_cancel
#endif
void UILIB_A4GL_ui_cancel(int type);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_ui_send_report_to_ui PRELOADED_LTX_ ## UILIB_A4GL_ui_send_report_to_ui
#endif
int UILIB_A4GL_ui_send_report_to_ui(char* filename,int noLinesPerPage,char* mode);

#ifdef LIBTOOL_PREFIX
#define UILIB_A4GL_ui_run_info PRELOADED_LTX_ ## UILIB_A4GL_ui_run_info
#endif
void UILIB_A4GL_ui_run_info(int mode,char* cmdline,int runcnt,int startstop);

#ifdef __cplusplus
}
#endif
#endif  /* #ifdef __(UI)_H__  */

